"
" vim-plug
"
call plug#begin(stdpath('data') . '/plugged')

Plug 'ctrlpvim/ctrlp.vim'

" Code analysis and autocompletion
Plug 'dense-analysis/ale'
Plug 'Shougo/deoplete.nvim', { 'do': ':UpdateRemotePlugins' }

" Git
Plug 'airblade/vim-gitgutter'

call plug#end()

"
" General configuration
"
set title " Shows file name in title
set number " Shows line numbers
set nowrap " Do not wrap lines

set hidden " Allow buffer switch without saving
set ignorecase " Allows case insensitive searches
"set smartcase " Case sensitive searches if uppercase is used

set spelllang=en " Check language spelling in english

"
" Theming
"
colorscheme zellner

"
" Deoplete
"
let g:deoplete#enable_at_startup = 1

" - Autocomplete with <Tab>
inoremap <expr><TAB>  pumvisible() ? "\<C-n>" : "\<TAB>"
